I would suggest you do something as shown in the image, and i have attached the code below as well.
This works by getting the wall types, then converts it into a Dynamo element via the “ToDSType” method then getting its name
#Created By Brendan Cassidy
import clr
# Import ToDSType(bool) extension method
clr.AddReference("RevitNodes")
import Revit
clr.ImportExtensions(Revit.Elements)
# Import geometry conversion extension methods
clr.ImportExtensions(Revit.GeometryConversion)
# Import RevitAPI
clr.AddReference("RevitAPI")
import Autodesk
from Autodesk.Revit.DB import *
#Checks if input is list, if not makes its a list
if isinstance(IN[0],list):
wallsinput=UnwrapElement(IN[0])
else:
wallsinput=[UnwrapElement(IN[0])]
output=[]
for wall in wallsinput:
#Gets wall type
wallType = wall.WallType
#Converts it to a Dynamo Element then gets its name
wallName = wallType.ToDSType(False).Name
#Outputs the wall type and its name
output.append([wallType,wallName])
OUT = output